<?php
$json = file_get_contents("https://api.coindesk.com/v1/bpi/currentprice.json");
$data = json_decode($json, true);
$bitcoin_cost = $data['bpi']['GBP']['rate_float'];
if(intval($bitcoin_cost) <= 0) {
	echo "Sorry, there was an error downloading from coindesk.com";
} else {
	$num_words = array('one'=>1, 'two'=>2, 'three'=>3, 'four'=>4, 'five'=>5);
	$bitcoin = 5000;
	if(is_numeric($rule_match['number'])) {
		$number = $rule_match['number'];
	} elseif(array_key_exists($rule_match['number'], $num_words)) {
		$number = $num_words[$rule_match['number']];
	} else {
		$number = 1;
	}
	echo "$number bitcoin";
	if($number != 1)
		echo "s";
	if($number != 1) {
		echo " are ";
	} else {
		echo " is ";
	}
	echo "currently £";
	echo number_format(($bitcoin_cost * $number),2);
}
?>
